%define majver %(echo %version | cut -d. -f1-2)
%define gitver %(echo %version | tr . _)
Name:          gnustep-base
Version:       1.29.0
Release:       1mamba
Summary:       GNUstep Base library package
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gnustep.github.io/
Source:        https://github.com/gnustep/libs-base.git/base-%{gitver}/libs-base-%{version}.tar.bz2
Patch0:        gnustep-base-1.27.0-icu-68.patch
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libavahi-devel
BuildRequires: libffi-devel
BuildRequires: libgcc
BuildRequires: libgnutls-devel
BuildRequires: libicu-devel
BuildRequires: libobjc-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gnustep-make
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The GNUstep Base Library is a powerful fast library of general-purpose, non-graphical Objective C classes, inspired by the superb OpenStep API but implementing Apple and GNU additions to the API as well.  It includes for example classes for unicode strings, arrays, dictionaries, sets, bytestreams, typed coders, invocations, notifications, notification dispatchers, scanners, tasks, files, networking, threading, remote object messaging support (distributed objects), event loops, loadable bundles, attributed unicode strings, xml, mime, user defaults. This package includes development headers too.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n libs-base-%{version}
%patch0 -p0

%build
ffi_include=$(pkg-config --cflags-only-I libffi | sed -e 's/^\-\I//')
export LDFLAGS="%{optflags} -Wl,--as-needed"
%gnustep_configure \
   --disable-ffcall --with-ffi-include=$ffi_include
 
%gnustep_make -n

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%gnustep_install -n

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man8/gdomap.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgnustep-base.so.*
%dir %{_libdir}/GNUstep
%dir %{_libdir}/GNUstep/Libraries
%dir %{_libdir}/GNUstep/Libraries/gnustep-base
%dir %{_libdir}/GNUstep/Libraries/gnustep-base/Versions
%dir %{_libdir}/GNUstep/Libraries/gnustep-base/Versions/%{majver}
%{_libdir}/GNUstep/Libraries/gnustep-base/Versions/%{majver}/*
%dir %{_libdir}/GNUstep/DTDs
%{_libdir}/GNUstep/DTDs/*
%doc COPYING COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/libgnustep-base.so
%dir %{_includedir}/Foundation
%{_includedir}/Foundation/*
%dir %{_includedir}/GNUstepBase
%{_includedir}/GNUstepBase/*
%dir %{_libdir}/GNUstep/Makefiles/Additional
%{_libdir}/GNUstep/Makefiles/Additional/base.make
%doc ChangeLog ChangeLog.1 ChangeLog.2 NEWS README.initialize

%changelog
* Mon Jan 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.29.0-1mamba
- update to 1.29.0

* Sat May 08 2021 Automatic Build System <autodist@mambasoft.it> 1.28.0-1mamba
- automatic version update by autodist

* Sat Jan 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.27.0-1mamba
- package created using the webbuild interface
